Page MenuHomeFreeBSD

Upgrade net/ceph port to v12.2.4
Needs ReviewPublic

Authored by wjw_digiware.nl on Mar 5 2018, 9:05 PM.
This revision needs review, but there are no reviewers specified.

Details

Reviewers
None
Summary

Has been run through

portlint -A
poudriere testport

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 15386
Build 15437: arc lint + arc unit

Event Timeline

wjw_digiware.nl created this revision.Mar 5 2018, 9:05 PM

Needed to update the Git hash going with this release.
It is include in error reporting by ceph

mat added inline comments.Mar 5 2018, 10:54 PM
net/ceph/Makefile
27

Please remove, duplicate of previous line. (And missing the flavor.)

net/ceph/Makefile
27

@mat
I had it like only with PY_BOOST, but then poudriere missed the boost_python-lib.
But that was before I upgraded to the latest poudriere version.

Will try a poudriere run

net/ceph/Makefile
27

@mat
Right this is what poudriere says:

Error: /usr/local/bin/ceph-mgr is linked to /usr/local/lib/libboost_python.so.1.66.0 from devel/boost-python-libs but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libboost_python.so:devel/boost-python-libs

But then it continues and completes oke.
So is that a bug in poudriere?

Start using PY_BOOST instead of explicit referencing the libs

mat added inline comments.Mar 6 2018, 4:31 PM
net/ceph/Makefile
27

Yeah, there is a bug in the QA check, this is the first port to provide a shared library, *and* have flavors. Being looked at in D14595.

@mat I guess somebody had to the first... 8-)

mat added a comment.Mar 6 2018, 6:32 PM

And I cannot possibly think about every way something can go wrong when I add features :-)

lwhsu added a subscriber: lwhsu.Sep 17 2019, 8:38 PM

net/ceph is 12.2.7 now. Do we still need have this open?

net/ceph is 12.2.7 now. Do we still need have this open?

Nope, I'm not sure why this was not closed when it got commited.

lwhsu added a comment.Sep 17 2019, 9:33 PM

Nope, I'm not sure why this was not closed when it got commited.

Perhaps some system internal issues. Please close this by hand, thanks!

Nope, I'm not sure why this was not closed when it got commited.

Perhaps some system internal issues. Please close this by hand, thanks!

'mmm, I do not thnk I can do that.
Atleast did not find that option somewhere in phabricator